Bug 578650 - File preservation doesn't work for PPC and s390x
File preservation doesn't work for PPC and s390x
Status: CLOSED EOL
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Jiri Kastner
:
: 578205 (view as bug list)
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2010-03-31 18:58 EDT by Justin Sherrill
Modified: 2016-01-21 11:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 10:58:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Justin Sherrill 2010-03-31 19:00:14 EDT
File preservation doesn't work for s390x or ppc as their initrd's are not in /boot/initrd.img.  As a result spacewalk-koan calls merge-rd.sh with a hardcoded string of '/boot/initrd.img' and fails.

The result is the entire provisioning fails.


Need to update spacewalk-koan to handle these different files.
Comment 2 Clifford Perry 2010-07-12 23:17:18 EDT
*** Bug 578205 has been marked as a duplicate of this bug. ***
Comment 3 Clifford Perry 2011-03-07 15:03:17 EST
(No customer case, not considering for 541 cycles, leaving on current tracker)
Comment 4 ali 2012-03-13 15:15:10 EDT
I'm having this problem with an x86_64 installation as well. Case number is 00612740.
Comment 6 Tomas Lestach 2016-01-21 10:58:15 EST
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.
We're closing this Bugzilla due to the Satellite 5 version this bug was reported against having been EOL (End-of-Life) [1].
Please re-open if the issue still exists in the latest Satellite 5 version.

[1] Satellite Life Cycle page: https://access.redhat.com/support/policy/updates/satellite

Note You need to log in before you can comment on or make changes to this bug.